de.dhbwstuttgart.syntaxtree.statement

## Class InstVar

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.InstVar

- All Implemented Interfaces:
    IItemWithOffset, Typeable

      public class InstVar
      extends Expr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Expr` | `expr`
    `protected static Logger` | `parserlog`
    `protected java.lang.String` | `type`
    `private UsedId` | `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstVar(Expr e, java.lang.String n, int offset)`
    `InstVar(java.lang.String n, java.lang.String t, int offset)`
    `InstVar(UsedId ui, int offset, int variableLength)` macht aus einem UsedId mit einem Menge von Strings eine InstVar Author: Martin PlÃ¯Â¿Â½micke PL 05-08-17

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get_codegen_UsedId()`
    `java.lang.String` | `get_Name()`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `void` | `parserPostProcessing(SyntaxTreeNode parent)` Wird nach dem Parsen aufgerufen.
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `java.lang.String` | `toString()` Author: Martin PlÃ¯Â¿Â½micke
    `ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `void` | `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEStmt`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### expr

          private Expr expr

    - #### usedid

          private UsedId usedid

    - #### type

          protected java.lang.String type

    - #### parserlog

          protected static Logger parserlog

  - ### Constructor Detail

    - #### InstVar

          public InstVar(Expr e,
                         java.lang.String n,
                         int offset)

    - #### InstVar

          public InstVar(java.lang.String n,
                         java.lang.String t,
                         int offset)

    - #### InstVar

          public InstVar(UsedId ui,
                         int offset,
                         int variableLength)

      macht aus einem UsedId mit einem Menge von Strings eine InstVar
      Author: Martin PlÃ¯Â¿Â½micke PL 05-08-17
      Parameters:
        `ui` -

  - ### Method Detail

    - #### parserPostProcessing

          public void parserPostProcessing(SyntaxTreeNode parent)

      Description copied from class: `SyntaxTreeNode`
      Wird nach dem Parsen aufgerufen. ErfÃ¼llt folgenden Aufgaben: 1. FÃ¼llt fehlende Typangaben mit TPHs auf. 2. VerknÃ¼pft die Knoten des Syntaxbaums. (setzt Parent) 3. Wechselt RefTypes gegebenenfalls mit GenericTypeVars aus. 4. FÃ¼hrt einen Teil des Syntaxckecks durch.
      Overrides:
        `parserPostProcessing` in class `SyntaxTreeNode`

    - #### get_Name

          public java.lang.String get_Name()

      Specified by:
        `get_Name` in class `Expr`

    - #### get_codegen_UsedId

          public java.lang.String get_codegen_UsedId()

    - #### toString

          public java.lang.String toString()

      Author: Martin PlÃ¯Â¿Â½micke
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:

    - #### wandleRefTypeAttributes2GenericAttributes

          public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                                Menge<GenericTypeVar> genericMethodParameters)

      Specified by:
        `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

    - #### TYPEExpr

          public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

      Specified by:
        `TYPEExpr` in class `Expr`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Specified by:
        `printJavaCode` in class `Statement`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`